--
-- Porta_Direita
--
-- @Hugo94Fr
-- @23/09/2015
-- @Converted Fs17
-- @26/12/2016

Porta_Direita = {};

Porta_Direita.modDir = g_currentModDirectory;

function Porta_Direita.prerequisitesPresent(specializations)
    return true; 
end;

function Porta_Direita:load(savegame)

    self.AnimacaoPorta_Direita = SpecializationUtil.callSpecializationsFunction("AnimacaoPorta_Direita"); 
    
    self.Porta_Direita = {};
    
    local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.Porta_Direita#trigger")) );
    if trigger == nil then
        print("[Erro: Porta_Direita] index ok, mas o trigger nas esta localizado. Volte a ver a linha "..tostring(i+1).." no seu xml");
    end;
    
    local TS = getXMLInt(self.xmlFile, string.format("vehicle.Porta_Direita#IC_Numero", i));
    
    self.Porta_Direita.TS = TS;
    self.Porta_Direita.trigger = trigger;
    self.Porta_Direita.TMP = false;
        
	addTrigger( trigger, "AnimacaoPorta_Direita", self );
    
end;

function Porta_Direita:delete()
    if self.Porta_Direita.trigger ~= nil then
        removeTrigger(self.Porta_Direita.trigger);
    end;
end;

function Porta_Direita:readStream(streamId, connection)
end;

function Porta_Direita:writeStream(streamId, connection)
end;

function Porta_Direita:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Porta_Direita:keyEvent(unicode, sym, modifier, isDown)
end;

function Porta_Direita:update(dt)
    
    if self.Porta_Direita.TMP then
        g_currentMission:addHelpButtonText( g_i18n:getText("Porta_Direita"), InputBinding.Porta_Direita );    
        setTextColor(1.0, 1.0, 1.0, 1.0);
        setTextAlignment(RenderText.ALIGN_CENTER);                 
        renderText( 0.5, 0.06, 0.05, g_i18n:getText("Porta_Direita") );
        if InputBinding.hasEvent(InputBinding.Porta_Direita)then
            local obj = self.interactiveObjects[self.Porta_Direita.TS];
            if obj ~= nil then
                self:doActionOnObject(self.Porta_Direita.TS);
            end;
        end
    end;
end;

function Porta_Direita:onLeave()
end;

function Porta_Direita:draw()
end;

function Porta_Direita:AnimacaoPorta_Direita(triggerId, otherId, onEnter, onLeave, onStay)
    
    if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.Porta_Direita.TMP = true;
    elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.Porta_Direita.TMP = false;
    end;
    
end;